<div class="container">
  <h1 class="fr-h4">
    Réinitialiser le mot de passe par courriel
  </h1>
  <ng-container *ngIf="!isEmailSubmitted; else confirmationTemplate">
    <p>
      Écrivez ci-dessous l’adresse électronique associée à votre compte.
      En cliquant sur réinitialiser, vous recevrez un courriel avec un
      lien vous permettant de réinitialiser votre mot de passe.
    </p>
    <form [formGroup]="forgottenPasswordForm" (ngSubmit)="submitForm()">
      <dsfr-input
        label="Adresse électronique"
        name="email"
        id="email"
        formControlName="email"
        hint="Format attendu : nom@domaine.fr"
        [hasFailed]="(forgottenPasswordForm.get('email').dirty && !forgottenPasswordForm.get('email').valid)"
        [failureMessage]="failureMessage">
      </dsfr-input>
      <dsfr-input
        style="display: none"
        label="honey"
        name="honey"
        id="honey"
        formControlName="honey">
      </dsfr-input>
      <dsfr-button
        label="Réinitialiser le mot de passe"
        [htmlType]="buttonTypes.SUBMIT"
        [disabled]="!forgottenPasswordForm.valid">
      </dsfr-button>
    </form>
  </ng-container>
  <ng-template #confirmationTemplate>
    <dsfr-alert
      [type]="alertTypes.SUCCESS"
      [hasCloseButton]="false">
      Si un compte est associé à cette adresse électronique,
      vous allez recevoir un courriel. Cliquez sur le lien
      dans le courriel pour réinitialiser votre mot de passe.
    </dsfr-alert>
    <p class="fr-text--xs fr-mt-3w">
      La réception du courriel peut prendre plusieurs minutes. Pensez à vérifier vos spams.
    </p>
  </ng-template>
</div>
